Bug 243643 - [PATCH] databases/php7[234]-mysqli: unbreak build with system mysql when MYSQLND is disabled
Summary: [PATCH] databases/php7[234]-mysqli: unbreak build with system mysql when MYSQ...
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dima Panov
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-01-27 03:54 UTC by Dima Panov
Modified: 2020-01-30 11:45 UTC (History)
2 users (show)

See Also:
tz: maintainer-feedback+
fluffy: maintainer-feedback? (ports-secteam)
fluffy: merge-quarterly?


Attachments
Allow system mysql (4.99 KB, patch)
2020-01-27 03:54 UTC, Dima Panov
tz: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Panov freebsd_committer 2020-01-27 03:54:30 UTC
Created attachment 211093 [details]
Allow system mysql

Currently databases/php7[234]-mysqli will fails with system mysql when MYSQLND option is disabled, some includes still search for mysqlnd parts.
Comment 1 Torsten Zuehlsdorff freebsd_committer 2020-01-28 15:19:26 UTC
Comment on attachment 211093 [details]
Allow system mysql

Looks fine, please proceed! :)
Comment 2 commit-hook freebsd_committer 2020-01-30 09:45:07 UTC
A commit references this bug:

Author: fluffy
Date: Thu Jan 30 09:44:33 UTC 2020
New revision: 524638
URL: https://svnweb.freebsd.org/changeset/ports/524638

Log:
  databases/php7[234]-mysqli: unbreak build with system mysql when MYSQLND is disabled

  This is follow-up to r522540 which introduced ability to build with MYSQLND=off

  PR:		243643
  Submitted by:	fluffy
  Approved by:	maintainer (tz)

Changes:
  head/databases/php72-mysqli/files/patch-mysqli__api.c
  head/databases/php72-mysqli/files/patch-php_mysqli_structs.h
  head/databases/php73-mysqli/files/patch-mysqli__api.c
  head/databases/php73-mysqli/files/patch-php_mysqli_structs.h
  head/databases/php74-mysqli/files/patch-mysqli__api.c
  head/databases/php74-mysqli/files/patch-php_mysqli_structs.h
Comment 3 Dima Panov freebsd_committer 2020-01-30 11:45:15 UTC
ports-secteam:: is it need to be MFH'ed? If yes, r522540 should me merged too